Erro ao atualizar PopOs 20.04

Ola boa tarde, eu gostaria de uma ajuda, eu estou tentando atualizar o pop_os 19.10 para o 20.04 mas sempre da esse erro:

Release upgrade status: release upgrade aborted: fetch of package ‘gettext-base_0.19.8.1-10build1_amd64.deb’ at http://us.archive.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-base_0.19.8.1-10build1_amd64.deb failed: async fetch for “/var/cache/apt/archives/partial/gettext-base_0.19.8.1-10build1_amd64.deb” failed: http://us.archive.ubuntu.com/ubuntu/pool/main/g/gettext/gettext-base_0.19.8.1-10build1_amd64.deb: connection closed before message completed

pop-upgrade: dbus client error: calling ReleaseUpgradeFinalize method failed

Mas esse erro da em um app diferente no sistema já tentei pelo “Os Upgrade” do pop e pela linha de comando e sempre cai no mesmo erro só alternando o programa que aparece no erro, desde o dia que lançou a lts isso vem acontecendo e eu não queria ter que formata o pc do zero, e agradeço quem poder me ajudar.

Took 3 or 4 tries of the sudo pop-upgrade release upgrade systemd -f command to get through everything and get it all downloaded. It would error out and stop, making me try again. But persistence paid off and now the Beta is running and, so far, flawlessly.

Acredito que seja o mesmo caso para sua situação, execute o comando sudo pop-upgrade release upgrade systemd -f até baixar todos os pacotes, assim será feito o upgrade e vc não tera mais problemas.

No Reddit conseguiram seguindo estes passos:

I already ran sudo apt update, sudo apt full-upgrade

and then

- sudo pop-upgrade daemon (in one terminal)

- pop-upgrade release upgrade systemd (new terminal)

PS: lembrando que em ambos os casos, eles demoraram varias tentativas até baixar todo o conteúdo para fazer o upgrade.

1 curtida

Muito obrigado eu usei esse comando e repetindo o processo consegui atualizar muito obrigado!